GrailsFlowExecutorImpl (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.execution
[Java] Class GrailsFlowExecutorImpl

    java.lang.Object
      org.springframework.webflow.executor.FlowExecutorImpl
          org.codehaus.groovy.grails.webflow.execution.GrailsFlowExecutorImpl

    public class GrailsFlowExecutorImpl
    extends org.springframework.webflow.executor.FlowExecutorImpl

Authors:
  Graeme Rocher

Since:
  1.1

Constructor Summary
`GrailsFlowExecutorImpl(org.springframework.webflow.definition.registry.FlowDefinitionLocator definitionLocator, org.springframework.webflow.execution.FlowExecutionFactory executionFactory, org.springframework.webflow.execution.repository.FlowExecutionRepository executionRepository)` Create a new flow executor.

Method Summary
`org.springframework.webflow.executor.FlowExecutionResult` | `resumeExecution(java.lang.String flowExecutionKey, org.springframework.webflow.context.ExternalContext context)`

Methods inherited from class org.springframework.webflow.executor.FlowExecutorImpl
org.springframework.webflow.executor.FlowExecutorImpl#getDefinitionLocator(), org.springframework.webflow.executor.FlowExecutorImpl#getExecutionFactory(), org.springframework.webflow.executor.FlowExecutorImpl#getExecutionRepository(), org.springframework.webflow.executor.FlowExecutorImpl#launchExecution(java.lang.String, org.springframework.webflow.core.collection.MutableAttributeMap, org.springframework.webflow.context.ExternalContext), org.springframework.webflow.executor.FlowExecutorImpl#resumeExecution(java.lang.String, org.springframework.webflow.context.ExternalContext), org.springframework.webflow.executor.FlowExecutorImpl#wait(), org.springframework.webflow.executor.FlowExecutorImpl#wait(long, int), org.springframework.webflow.executor.FlowExecutorImpl#wait(long), org.springframework.webflow.executor.FlowExecutorImpl#equals(java.lang.Object), org.springframework.webflow.executor.FlowExecutorImpl#toString(), org.springframework.webflow.executor.FlowExecutorImpl#hashCode(), org.springframework.webflow.executor.FlowExecutorImpl#getClass(), org.springframework.webflow.executor.FlowExecutorImpl#notify(), org.springframework.webflow.executor.FlowExecutorImpl#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsFlowExecutorImpl

    public GrailsFlowExecutorImpl(org.springframework.webflow.definition.registry.FlowDefinitionLocator definitionLocator, org.springframework.webflow.execution.FlowExecutionFactory executionFactory, org.springframework.webflow.execution.repository.FlowExecutionRepository executionRepository)

  Create a new flow executor.
  Parameters:
    `definitionLocator` - the locator for accessing flow definitions to execute
    `executionFactory` - the factory for creating executions of flow definitions
    `executionRepository` - the repository for persisting paused flow executions

Method Detail

### resumeExecution

    @Override
    public org.springframework.webflow.executor.FlowExecutionResult resumeExecution(java.lang.String flowExecutionKey, org.springframework.webflow.context.ExternalContext context)

Groovy Documentation